<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
  <!ENTITY % general-entities SYSTEM "../../general.ent">
  %general-entities;

  <!ENTITY notification-daemon-download-http
           "&gnome-download-http;/notification-daemon/&gnome-minor-20;/notification-daemon-&notification-daemon-version;.tar.xz">
  <!ENTITY notification-daemon-download-ftp  " ">
  <!ENTITY notification-daemon-md5sum        "2de7f4075352831f1d98d8851b642124">
  <!ENTITY notification-daemon-size          "336 KB">
  <!ENTITY notification-daemon-buildsize     "4.1 MB">
  <!ENTITY notification-daemon-time          "less than 0.1 SBU">
]>

<sect1 id="notification-daemon" xreflabel="notification-daemon-&notification-daemon-version;">
  <?dbhtml filename="notification-daemon.html"?>


  <title>notification-daemon-&notification-daemon-version;</title>

  <indexterm zone="notification-daemon">
    <primary sortas="a-notification-daemon">notification-daemon</primary>
  </indexterm>

  <sect2 role="package">
    <title>Introduction to Notification Daemon</title>

    <para>
      The <application>Notification Daemon</application> package contains a daemon
      that displays passive pop-up notifications.
    </para>

    &lfs122_checked;

    <bridgehead renderas="sect3">Package Information</bridgehead>
    <itemizedlist spacing="compact">
      <listitem>
        <para>
          Download (HTTP): <ulink url="&notification-daemon-download-http;"/>
        </para>
      </listitem>
      <listitem>
        <para>
          Download (FTP): <ulink url="&notification-daemon-download-ftp;"/>
        </para>
      </listitem>
      <listitem>
        <para>
          Download MD5 sum: &notification-daemon-md5sum;
        </para>
      </listitem>
      <listitem>
        <para>
          Download size: &notification-daemon-size;
        </para>
      </listitem>
      <listitem>
        <para>
          Estimated disk space required: &notification-daemon-buildsize;
        </para>
      </listitem>
      <listitem>
        <para>
          Estimated build time: &notification-daemon-time;
        </para>
      </listitem>
    </itemizedlist>

    <bridgehead renderas="sect3">Notification Daemon Dependencies</bridgehead>

    <bridgehead renderas="sect4">Required</bridgehead>
    <para role="required">
      <xref linkend="gtk3"/> and
      <xref linkend="libcanberra"/> (Built with <xref linkend="gtk3"/> support).
    </para>

  </sect2>

  <sect2 role="installation">
    <title>Installation of Notification Daemon</title>

    <para>
      Install <application>Notification Daemon</application> by running
      the following commands:
    </para>

<screen><userinput>./configure --prefix=/usr     \
            --sysconfdir=/etc \
            --disable-static  &amp;&amp;
make</userinput></screen>

    <para>
      This package does not come with a test suite.
    </para>

    <para>
      Now, as the <systemitem class="username">root</systemitem> user:
    </para>

<screen role="root"><userinput>make install</userinput></screen>

    <para>
      You can test the notification daemon with the command
      <command>notify-send</command>:
    </para>

<screen><userinput>pgrep -l notification-da &amp;&amp;
notify-send -i info Information "Hi ${USER}, This is a Test"</userinput></screen>
    <para>
      The command <command>pgrep -l notification-da</command> is added to assure
      that it is the daemon of this package that is running, not another one,
      e.g. the daemon from <xref linkend="xfce4-notifyd"/>.
    </para>

  </sect2>

  <sect2 role="content">
    <title>Contents</title>

    <segmentedlist>
      <segtitle>Installed Program</segtitle>
      <segtitle>Installed Libraries</segtitle>
      <segtitle>Installed Directory</segtitle>

      <seglistitem>
        <seg>
          none
        </seg>
        <seg>
          none
        </seg>
        <seg>
          none
        </seg>
      </seglistitem>
    </segmentedlist>

  </sect2>

</sect1>
